diff --git a/drupal7/sites/all/modules/ldap/ldap_views/ldap_views.views.inc b/drupal7/sites/all/modules/ldap/ldap_views/ldap_views.views.inc
index b9447569..28d8cf52 100644
--- a/drupal7/sites/all/modules/ldap/ldap_views/ldap_views.views.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_views/ldap_views.views.inc
@@ -2,94 +2,92 @@
 
 /**
  * @file
- * Definition of ldap_views module
+ * Definition of ldap_views module.
  */
 
 /**
  * Implements hook_views_data().
  */
-
 function ldap_views_views_data() {
   $data['ldap']['table']['group'] = t('LDAP Query');
 
-  $data['ldap']['table']['base'] = array(
+  $data['ldap']['table']['base'] = [
     'field' => 'dn',
     'title' => t('LDAP Query'),
     'help' => t('Data from LDAP Server.'),
     'query class' => 'ldap_views',
-  );
-  // basedn
-  $data['ldap']['basedn'] = array(
+  ];
+  // Basedn.
+  $data['ldap']['basedn'] = [
     'title' => t('LDAP Base DN'),
     'help' => t('The LDAP search base entry'),
-    'argument' => array(
+    'argument' => [
       'handler' => 'ldap_views_handler_argument',
-    ),
-  );
+    ],
+  ];
   // filter
-  // Generic column
-  $data['ldap']['attribute'] = array(
+  // Generic column.
+  $data['ldap']['attribute'] = [
     'title' => t('LDAP Attribute'),
     'help' => t('An attribute in LDAP Server'),
-    'argument' => array(
+    'argument' => [
       'handler' => 'ldap_views_handler_argument_attribute',
-    ),
-    'field' => array(
+    ],
+    'field' => [
       'handler' => 'ldap_views_handler_field_attribute',
-    ),
-    'sort' => array(
+    ],
+    'sort' => [
       'handler' => 'ldap_views_handler_sort_attribute',
-    ),
-    'filter' => array(
+    ],
+    'filter' => [
       'handler' => 'ldap_views_handler_filter_attribute',
-    ),
-  );
-  $data['ldap']['dn'] = array(
+    ],
+  ];
+  $data['ldap']['dn'] = [
     'title' => t('DN'),
     'help' => t('Distinguished name'),
-    'field' => array(
+    'field' => [
       'handler' => 'ldap_views_handler_field',
-    ),
-    'sort' => array(
+    ],
+    'sort' => [
       'handler' => 'ldap_views_handler_sort',
-    ),
-    'filter' => array(
+    ],
+    'filter' => [
       'handler' => 'views_handler_filter_string',
-    ),
-  );
-  $data['ldap']['cn'] = array(
+    ],
+  ];
+  $data['ldap']['cn'] = [
     'title' => t('CN'),
     'help' => t('Common name'),
-    'argument' => array(
+    'argument' => [
       'handler' => 'ldap_views_handler_argument',
-    ),
-    'field' => array(
+    ],
+    'field' => [
       'handler' => 'ldap_views_handler_field',
-    ),
-    'sort' => array(
+    ],
+    'sort' => [
       'handler' => 'ldap_views_handler_sort',
-    ),
-    'filter' => array(
+    ],
+    'filter' => [
       'handler' => 'ldap_views_handler_filter',
-    ),
-  );
-  $data['ldap']['objectClass'] = array(
+    ],
+  ];
+  $data['ldap']['objectClass'] = [
     'title' => t('Object Class'),
     'help' => t('The LDAP objectClass'),
-    'argument' => array(
+    'argument' => [
       'handler' => 'ldap_views_handler_argument',
-    ),
-    'field' => array(
+    ],
+    'field' => [
       'handler' => 'ldap_views_handler_field',
-    ),
-    'sort' => array(
+    ],
+    'sort' => [
       'handler' => 'ldap_views_handler_sort',
-    ),
-    'filter' => array(
+    ],
+    'filter' => [
       'handler' => 'ldap_views_handler_filter',
-    ),
-  );
-
+    ],
+  ];
 
   return $data;
 }
@@ -97,13 +95,13 @@ function ldap_views_views_data() {
 /*
 Alternative to 'attribute' field: add fields here, but we need the qid. Alternative: bundles + entity fields
 function ldap_views_views_data_alter(&$data) {
-  $data['ldap']['example_field'] = array(
-    'title' => t('Example field'),
-    'help' => t('Some example content that references a user'),
-    'field' => array(
-      'handler' => 'ldap_views_handler_field',
-    ),
-  );
+$data['ldap']['example_field'] = array(
+'title' => t('Example field'),
+'help' => t('Some example content that references a user'),
+'field' => array(
+'handler' => 'ldap_views_handler_field',
+),
+);
 
 }
  */
@@ -112,13 +110,13 @@ function ldap_views_views_data_alter(&$data) {
  * Implements hook_views_plugins().
  */
 function ldap_views_views_plugins() {
-  return array(
-    'query' => array(
-      'ldap_views' => array(
+  return [
+    'query' => [
+      'ldap_views' => [
         'title' => t('LDAP'),
         'help' => t('Reads from an ldap server.'),
         'handler' => 'ldap_views_plugin_query_ldap',
-      ),
-    ),
-  );
+      ],
+    ],
+  ];
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_views/ldap_views.views_default.inc b/drupal7/sites/all/modules/ldap/ldap_views/ldap_views.views_default.inc
index 7114c3d6..787c5b79 100644
--- a/drupal7/sites/all/modules/ldap/ldap_views/ldap_views.views_default.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_views/ldap_views.views_default.inc
@@ -2,7 +2,7 @@
 
 /**
  * @file
- * Defines a default ldap_view
+ * Defines a default ldap_view.
  */
 
 /**
@@ -12,7 +12,7 @@ function ldap_views_views_default_views() {
   /*
    * View 'ad_users'
    */
-  $view = new view;
+  $view = new view();
   $view->name = 'ad_users_example';
   $view->description = 'Users from AD. You must define a ldap data source whith ad_users identifier, and mail, name and samaccountname attributes';
   $view->tag = 'default';
@@ -33,36 +33,36 @@ function ldap_views_views_default_views() {
   $handler->display->display_options['pager']['type'] = 'full';
   $handler->display->display_options['pager']['options']['items_per_page'] = '10';
   $handler->display->display_options['style_plugin'] = 'table';
-  $handler->display->display_options['style_options']['columns'] = array(
+  $handler->display->display_options['style_options']['columns'] = [
     'attribute' => 'attribute',
     'attribute_1' => 'attribute_1',
     'attribute_2' => 'attribute_2',
     'attribute_3' => 'attribute_3',
     'attribute_4' => 'attribute_4',
-  );
+  ];
   $handler->display->display_options['style_options']['default'] = '-1';
-  $handler->display->display_options['style_options']['info'] = array(
-    'attribute' => array(
+  $handler->display->display_options['style_options']['info'] = [
+    'attribute' => [
       'align' => '',
       'separator' => '',
-    ),
-    'attribute_1' => array(
+    ],
+    'attribute_1' => [
       'align' => '',
       'separator' => '',
-    ),
-    'attribute_2' => array(
+    ],
+    'attribute_2' => [
       'align' => '',
       'separator' => '',
-    ),
-    'attribute_3' => array(
+    ],
+    'attribute_3' => [
       'align' => '',
       'separator' => '',
-    ),
-    'attribute_4' => array(
+    ],
+    'attribute_4' => [
       'align' => '',
       'separator' => '',
-    ),
-  );
+    ],
+  ];
   $handler->display->display_options['style_options']['override'] = 1;
   $handler->display->display_options['style_options']['sticky'] = 0;
   $handler->display->display_options['style_options']['empty_table'] = 0;
diff --git a/drupal7/sites/all/modules/ldap/ldap_views/plugins/ldap_views_plugin_query_ldap.inc b/drupal7/sites/all/modules/ldap/ldap_views/plugins/ldap_views_plugin_query_ldap.inc
index c705aa65..436e8919 100644
--- a/drupal7/sites/all/modules/ldap/ldap_views/plugins/ldap_views_plugin_query_ldap.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_views/plugins/ldap_views_plugin_query_ldap.inc
@@ -2,32 +2,38 @@
 
 /**
  * @file
- * Defines the default query object which builds and execute a ldap query
+ * Defines the default query object which builds and execute a ldap query.
  */
 
+/**
+ *
+ */
 class ldap_views_plugin_query_ldap extends views_plugin_query {
 
   /**
-   * The base dn for the LDAP search
+   * The base dn for the LDAP search.
    */
   private $basedn = '';
 
   /**
-   * A list of filters to apply to the LDAP search
+   * A list of filters to apply to the LDAP search.
    */
-  private $filter = array();
+  private $filter = [];
 
   /**
    * Builds the necessary info to execute the query.
    */
-  function build(&$view) {
+  public function build(&$view) {
     $view->init_pager($view);
 
     // Let the pager modify the query to add limits.
     $this->pager->query();
   }
 
-  function add_field($table, $field, $alias = '', $params = array()) {
+  /**
+   *
+   */
+  public function add_field($table, $field, $alias = '', $params = []) {
     // We check for this specifically because it gets a special alias.
     if ($table == $this->base_table && $field == $this->base_field && empty($alias)) {
       $alias = $this->base_field;
@@ -37,21 +43,20 @@ class ldap_views_plugin_query_ldap extends views_plugin_query {
       $alias = $table . '_' . $field;
     }
 
-    // Make sure an alias is assigned
+    // Make sure an alias is assigned.
     $alias = $alias ? $alias : $field;
 
     // PostgreSQL truncates aliases to 63 characters: http://drupal.org/node/571548
-
     // We limit the length of the original alias up to 60 characters
-    // to get a unique alias later if its have duplicates
+    // to get a unique alias later if its have duplicates.
     $alias = drupal_substr($alias, 0, 60);
 
     // Create a field info array.
-    $field_info = array(
+    $field_info = [
       'field' => $field,
       'table' => $table,
       'alias' => $alias,
-    ) + $params;
+    ] + $params;
 
     // Test to see if the field is actually the same or not. Due to
     // differing parameters changing the aggregation function, we need
@@ -69,18 +74,27 @@ class ldap_views_plugin_query_ldap extends views_plugin_query {
     return $alias;
   }
 
-  function add_orderby($table, $field, $order, $alias = '', $params = array()) {
-    $this->orderby[] = array(
+  /**
+   *
+   */
+  public function add_orderby($table, $field, $order, $alias = '', $params = []) {
+    $this->orderby[] = [
       'field' => $field,
-      'direction' => drupal_strtoupper($order)
-    );
+      'direction' => drupal_strtoupper($order),
+    ];
   }
 
-  function add_basedn($basedn) {
+  /**
+   *
+   */
+  public function add_basedn($basedn) {
     $this->basedn = !empty($this->basedn) ? $this->basedn : $basedn;
   }
 
-  function add_filter($filter) {
+  /**
+   *
+   */
+  public function add_filter($filter) {
     if (empty($filter)) {
       return;
     }
@@ -109,7 +123,7 @@ class ldap_views_plugin_query_ldap extends views_plugin_query {
    *
    * @see QueryConditionInterface::condition()
    */
-  function add_where($group, $field, $value = NULL, $operator = NULL) {
+  public function add_where($group, $field, $value = NULL, $operator = NULL) {
     // Ensure all variants of 0 are actually 0. Thus '', 0 and NULL are all
     // the default group.
     if (empty($group)) {
@@ -121,25 +135,28 @@ class ldap_views_plugin_query_ldap extends views_plugin_query {
       $this->set_where_group('AND', $group);
     }
 
-    $this->where[$group]['conditions'][] = array(
+    $this->where[$group]['conditions'][] = [
       'field' => $field,
       'value' => $value,
       'operator' => ltrim($operator, '!'),
       'negate' => drupal_substr($operator, 0, 1) == '!',
-    );
+    ];
   }
 
   /**
-   * Construct the filter
+   * Construct the filter.
    *
    * @param $where
    *   'where' or 'having'.
+   *
+   * @return string
    */
-  function build_condition() {
-    $operator = array('AND' => '&', 'OR' => '|');
+  public function build_condition() {
+    $operator = ['AND' => '&', 'OR' => '|'];
     $main_group = '';
     if (!isset($this->where)) {
-      $this->where = array(); // Initialize where clause if not set
+      // Initialize where clause if not set.
+      $this->where = [];
     }
     foreach ($this->where as $group => $info) {
       if (!empty($info['conditions'])) {
@@ -154,11 +171,17 @@ class ldap_views_plugin_query_ldap extends views_plugin_query {
     return count($this->where) <= 1 ? $main_group : '(' . $operator[$this->group_operator] . $main_group . ')';
   }
 
-  function build_ldap_basedn($basedn) {
-    return !empty($this->basedn) ? array($this->basedn) : $basedn;
+  /**
+   *
+   */
+  public function build_ldap_basedn($basedn) {
+    return !empty($this->basedn) ? [$this->basedn] : $basedn;
   }
 
-  function build_contextual_filter() {
+  /**
+   *
+   */
+  public function build_contextual_filter() {
     $contextual_filter = '';
     foreach ($this->filter as $condition) {
       $contextual_filter .= drupal_substr($condition, 0, 1) != '(' ? "($condition)" : $condition;
@@ -166,7 +189,10 @@ class ldap_views_plugin_query_ldap extends views_plugin_query {
     return $contextual_filter;
   }
 
-  function build_ldap_filter($filter) {
+  /**
+   *
+   */
+  public function build_ldap_filter($filter) {
     $condition     = $this->build_condition();
     $contextual    = $this->build_contextual_filter();
     $search_filter = !empty($contextual) && !empty($condition) ? '(&' . $condition . $contextual . ')' : $condition . $contextual;
@@ -191,7 +217,7 @@ class ldap_views_plugin_query_ldap extends views_plugin_query {
    *   The alias used to refer to this specific table, or NULL if the table
    *   cannot be ensured.
    */
-  function ensure_table($table, $relationship = NULL, $join = NULL) {
+  public function ensure_table($table, $relationship = NULL, $join = NULL) {
     return $table;
   }
 
@@ -204,9 +230,9 @@ class ldap_views_plugin_query_ldap extends views_plugin_query {
    *
    * $view->result should contain an array of objects.
    */
-  function execute(&$view) {
+  public function execute(&$view) {
     $start       = microtime(TRUE);
-    $entries     = array();
+    $entries     = [];
     $num_entries = 0;
 
     if (empty($this->options['qid'])) {
@@ -224,35 +250,28 @@ class ldap_views_plugin_query_ldap extends views_plugin_query {
     $ldap_server->bind();
     // TODO: Can't use sizelimit if it must be ordered || cache?
     // $ldap_server->search() hasn't orderby (ldap_sort)
-    // But we can't use ldap_sort because there's no DESC option
+    // But we can't use ldap_sort because there's no DESC option.
     foreach ($this->build_ldap_basedn($ldap_data->baseDn) as $basedn) {
 
       $result = $ldap_server->search($basedn, $this->build_ldap_filter($ldap_data->filter), array_values($attributes), 0, $ldap_data->sizelimit, $ldap_data->timelimit, $ldap_data->deref, $ldap_data->scope);
-/**
-    // ldap_sort can't be used because there's no DESC option
-    if (!empty($this->orderby)) {
-      // Array reverse, because the most specific are first - PHP works the opposite way of SQL.
-      foreach (array_reverse($this->orderby) as $field) {
-        @ldap_sort($ldap_server->connection, $result, $field['field']);
-      }
-    }
- */
-    if ($result !== FALSE) { // not an error
+      // ldap_sort can't be used because there's no DESC option
+      // Not an error.
+      if ($result !== FALSE) {
         $entries = array_merge($entries, $result);
         $num_entries += $result['count'];
         unset($result['count']);
       }
     }
     if (property_exists($view->query, 'limit')) {
-      $limit     = $view->query->limit;
+      $limit = $view->query->limit;
     }
-    $offset = property_exists($view->query, 'offset') ? $view->query->offset : 0;
-    $result      = array();
-    $sort_fields = array();
+    $offset      = property_exists($view->query, 'offset') ? $view->query->offset : 0;
+    $result      = [];
+    $sort_fields = [];
     if (!empty($this->orderby)) {
       foreach ($this->orderby as $orderby) {
         $sort_fields[drupal_strtolower($orderby['field'])]['direction'] = $orderby['direction'];
-        $sort_fields[drupal_strtolower($orderby['field'])]['data']      = array();
+        $sort_fields[drupal_strtolower($orderby['field'])]['data']      = [];
       }
 
     }
@@ -265,7 +284,7 @@ class ldap_views_plugin_query_ldap extends views_plugin_query {
         $entry['thumbnailphoto'][0] = '<img src="data:image/jpeg;base64,' . base64_encode($entry['thumbnailphoto'][0]) . '" alt="photo" />';
       }
       foreach ($view->field as $field) {
-        if (! isset($field_alias[$field->field_alias])) {
+        if (!isset($field_alias[$field->field_alias])) {
           continue;
         }
         $alias = $field_alias[$field->field_alias];
@@ -273,13 +292,15 @@ class ldap_views_plugin_query_ldap extends views_plugin_query {
           if (is_array($entry[$alias])) {
             switch ($field->options['multivalue']) {
               case 'v-all':
-                // remove 'count' index
+                // Remove 'count' index.
                 unset($entry[$alias]['count']);
                 $entry[$alias] = implode($field->options['value_separator'], $entry[$alias]);
                 break;
+
               case 'v-count':
                 $entry[$alias] = $entry[$alias]['count'];
                 break;
+
               case 'v-index':
                 $index = $field->options['index_value'] >= 0 ? intval($field->options['index_value']) : $entry[$alias]['count'] + $field->options['index_value'];
                 $entry[$alias] = array_key_exists($index, $entry[$alias]) ? $entry[$alias][$index] :
@@ -287,8 +308,8 @@ class ldap_views_plugin_query_ldap extends views_plugin_query {
                 break;
             }
           }
-          // order criteria
-          //If the field with alias $alias has a corresponding entry in $sort_fields, copy its value into the data key of $sort_fields for later sorting.
+          // Order criteria
+          // If the field with alias $alias has a corresponding entry in $sort_fields, copy its value into the data key of $sort_fields for later sorting.
           if (array_key_exists($alias, $sort_fields)) {
             $sort_fields[$alias]['data'][$key] = $entry[$alias];
           }
@@ -296,9 +317,9 @@ class ldap_views_plugin_query_ldap extends views_plugin_query {
       }
     }
     if (!empty($this->orderby) && !empty($entries)) {
-      $params = array();
+      $params = [];
       // In PHP 5.3 every parameter in the array has to be a reference when calling array_multisort() with call_user_func_array().
-      $asc  = SORT_ASC;
+      $asc = SORT_ASC;
       $desc = SORT_DESC;
       foreach ($sort_fields as &$field) {
         $params[] = &$field['data'];
@@ -311,10 +332,12 @@ class ldap_views_plugin_query_ldap extends views_plugin_query {
       }
       $params[] = &$entries;
 
-      // Some LDAP setups output a 'count' variable in the array, which changes the array size;
-      // temporarily remove it, sort the arrays, and then put it back.
+      // Some LDAP setups output a 'count' variable in the array, which changes
+      // the array size; temporarily remove it, sort the arrays, and then put it
+      // back.
       if (array_key_exists('count', $entries)) {
-        $countValue = $entries['count']; // remove the count variable
+        // Remove the count variable.
+        $countValue = $entries['count'];
         unset($entries['count']);
         $params[] = &$entries;
         call_user_func_array('array_multisort', $params);
@@ -327,10 +350,10 @@ class ldap_views_plugin_query_ldap extends views_plugin_query {
     }
 
     for ($i = 0; (!isset($limit) || $i < $limit) && $offset + $i < $num_entries; $i++) {
-      $row = array();
+      $row = [];
       $entry = &$entries[$offset + $i];
       foreach ($view->field as $field) {
-        if (! isset($field_alias[$field->field_alias])) {
+        if (!isset($field_alias[$field->field_alias])) {
           continue;
         }
         if (array_key_exists($field_alias[$field->field_alias], $entry)) {
@@ -340,65 +363,53 @@ class ldap_views_plugin_query_ldap extends views_plugin_query {
       $result[] = $row;
     }
 
-    $view->result       = $result;
-    $view->total_rows   = $num_entries;
-    $view->execute_time = microtime(TRUE) - $start;
-    $view->query->pager->total_items  = $num_entries;
+    $view->result                    = $result;
+    $view->total_rows                = $num_entries;
+    $view->execute_time              = microtime(TRUE) - $start;
+    $view->query->pager->total_items = $num_entries;
     $view->query->pager->update_page_info();
 
   }
 
-  function option_definition() {
+  /**
+   *
+   */
+  public function option_definition() {
     $options = parent::option_definition();
-    $options['qid'] = array('default' => '');
+    $options['qid'] = ['default' => ''];
 
     return $options;
   }
 
-  function options_form(&$form, &$form_state) {
-/**
-    $ldap_data = entity_load('ldap_data', FALSE);
-    $options   = array();
-    foreach ($ldap_data as $data) {
-        $options[$data->qid] = $data->name;
-    }
- */
-    $queries = array();
+  /**
+   *
+   */
+  public function options_form(&$form, &$form_state) {
+    $queries = [];
     $queries['all'] = LdapQueryAdmin::getLdapQueryObjects();
 
-  foreach ($queries['all'] as $_sid => $ldap_query) {
-    if ($ldap_query->status == 1) {
-      //$queries['enabled'][$_qid] = $ldap_query;
-      $options[$ldap_query->qid] = $ldap_query->name;
+    foreach ($queries['all'] as $_sid => $ldap_query) {
+      if ($ldap_query->status == 1) {
+        $options[$ldap_query->qid] = $ldap_query->name;
+      }
     }
-  }
-// ******************************************************
-      $form['qid'] = array(
+    $form['qid'] = [
       '#type' => 'select',
       '#title' => t('LDAP Search'),
       '#options' => $options,
       '#default_value' => $this->options['qid'],
       '#description' => t("The LDAP server to query."),
-    );
+    ];
   }
 
-
   /**
    * Let modules modify the query just prior to finalizing it.
    */
-  function alter(&$view) {
+  public function alter(&$view) {
     foreach (module_implements('views_query_alter') as $module) {
       $function = $module . '_views_query_alter';
       $function($view, $this);
     }
   }
 
-/* Only when adding dynamic fields in ldap_views_views_data_alter()
-  function options_submit(&$form, &$form_state) {
-    parent::options_submit(&$form, &$form_state);
-    if ($form_state['values']['query']['options']['qid'] != $form_state['view']->query->options['qid']) {
-      views_invalidate_cache();
-    }
-  }
- */
 }
